//--- colors ---//

$red: #f00;
$white: #fff;
$black: #000;
$black-medium: #212121;
$grey: #898989;
$green: #1fae4b;
$light-grey: #f0f1f6;
$orange: #ff7600;
$yellow: #ffef2e;

body {
    color: $black;
    font-family: "Roboto", sans-serif;
}

.bg-red {
    background-color: $red;
}

.text-color-red {
    color: $red;
}

.bg-white {
    background-color: $white;
}

.text-color-white {
    color: $white;
}

.bg-black {
    background-color: $black;
}

.text-color-black {
    color: $black;
}

.bg-black-medium {
    background-color: $black-medium;
}

.text-color-black-medium {
    color: $black-medium;
}

.bg-grey {
    background-color: $grey;
}

.text-color-grey {
    color: $grey;
}

.bg-green {
    background-color: $green;
}

.text-color-green {
    color: $green;
}

.bg-orange {
    background-color: $orange;
}

.text-color-orange {
    color: $orange;
}

.bg-yellow {
    background-color: $yellow;
}

.text-color-yellow {
    color: $yellow;
}

.f-9 {
    font-size: 9px;
}

.f-10 {
    font-size: 10px;
}

.f-12 {
    font-size: 12px;
}

.f-14 {
    font-size: 14px;
}

.f-15 {
    font-size: 15px;
}

.f-16 {
    font-size: 16px;
}

.f-18 {
    font-size: 18px;
}

.f-20 {
    font-size: 20px;
}

.f-21 {
    font-size: 21px;
}

.f-22 {
    font-size: 22px;
}

.f-24 {
    font-size: 24px;
}

.f-28 {
    font-size: 28px;
}

.f-30 {
    font-size: 30px;
}

.f-32 {
    font-size: 32px;
}

.f-42 {
    font-size: 42px;
}

.f-normal {
    font-weight: 400 !important;
}

.f-medium {
    font-weight: 500 !important;
}

.f-bold {
    font-weight: 700 !important;
}

.f-italic {
    font-style: italic;
}

.d-grid {
    display: grid;
}

.shadow-pk {
    box-shadow: 1px 1px 8px rgba($black, 0.29);
}

.align-items-end {
    align-items: end !important;
}

//--- common styles ---//

img {
    object-fit: cover;
    object-position: center;
    user-select: none;
}

button {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

button:focus,
.btn.focus,
.btn:focus {
    outline: none;
    box-shadow: none;
}

.closebtn {
    background: #fff !important;
    border-radius: 50%;
    width: 14px;
    height: 14px;
    display: flex;
    text-align: center;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    margin-top: -8px;
    margin-right: 6px;
}

.download {
    margin-top: 30px;
    margin-bottom: 30px;
}

.star-checked {
    color: #ffa10b;
}

.line {
    height: 1px;
    border: 1px solid rgba(#707070, 0.3);
    margin-bottom: 30px;
}

.main-section {
    min-height: calc(100vh - 175px);
}

.main-section-padding {
    padding: 31px 15px;
}

.heading {
    font-size: 16px;
    font-weight: 500;
}

.select-drop-down,
.select-drop-down:focus {
    border: none;
    outline: none;
    font-size: 14px;
    font-weight: 500;
    border-bottom: 1px solid transparent;
    cursor: pointer;
    padding-right: 20px;
    background: $white;
    &:hover {
        border-bottom: 1px solid;
    }
}

.text-to-end {
    text-align: end;
}

.sticky-top {
    position: sticky;
    top: 0;
    z-index: 10;
}

//---  Header styles begins ---//

.main-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 17px 20px;
    height: 64px;
    position: sticky;
    top: 0px;
    background-color: $white;
    z-index: 1;

    .menuicon {
        margin-right: 30px;
    }

    .usericons {
        position: relative;

        img {
            width: 31px;
            height: 31px;
            overflow: hidden;
            border-radius: 50%;
            position: relative;
        }

        .dot {
            position: absolute;
            top: 1px;
            right: 3px;
            left: auto;
            display: block;
            width: 5px;
            height: 5px;
            border-radius: 50%;
        }
    }

    .user-details {
        display: flex;
        align-items: center;
        justify-content: center;

        .user-name {
            color: $black;
            font-size: 14px;
            font-weight: 500;
            margin-bottom: 0px;
        }

        .role {
            color: $grey;
            font-size: 10px;
        }
    }
}

//---  Header styles ends ---//

//--- sidebar ---//

.sidebar-options {
    .nav-inactive {
        opacity: 0.5;
    }

    #orders-menu,
    #settings-menu {
        background: #171717;
        margin: 10px 0;
        padding: 4px 0;

        li a {
            padding: 10px 0px;
        }
    }
    .logo {
        width: 102px;
        height: 35px;
        margin-bottom: 20px;
    }

    a {
        display: flex;
        align-items: center;
        font-size: 14px;
        font-weight: 400;
        color: $white;
        list-style: none;
        cursor: pointer;
        text-decoration: none;
        padding: 0px 14px 0 0;
        margin: 18px 0 0 0;
        width: 180px;
        opacity: 0.5;
        &:hover {
            opacity: 1;
        }
        .nav-icons {
            padding-right: 6px;
        }
    }
    .active-links {
        opacity: 1;
    }

    .nav-link[data-toggle].collapsed:after {
        content: " ▾";
        margin-left: auto;
        // margin-right: 15px;
    }
    .nav-link[data-toggle]:not(.collapsed):after {
        content: " ▴";
        margin-left: auto;
        // margin-right: 15px;
    }
}

//--- sidebar styles ends ---//

//--- profile styles ---//

.outerDivFull {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    margin-top: 12px;
    margin-bottom: 28px;
}

.switchToggle input[type="checkbox"] {
    height: 0;
    width: 0;
    visibility: hidden;
    position: absolute;
}
.switchToggle label {
    cursor: pointer;
    text-indent: -9999px;
    width: 86px;
    height: 30px;
    background: $red;
    display: block;
    border-radius: 100px;
    position: relative;
    font-size: 14px;
}
.switchToggle label:after {
    content: "▾";
    position: absolute;
    top: 2px;
    left: 2px;
    width: 26px;
    height: 26px;
    background: #fff;
    border-radius: 90px;
    transition: 0.3s;
}
.switchToggle input:checked + label,
.switchToggle input:checked + input + label {
    background: $green;
}
.switchToggle input + label:before,
.switchToggle input + input + label:before {
    content: "Offline";
    position: absolute;
    top: 5px;
    left: 35px;
    width: 26px;
    height: 26px;
    border-radius: 90px;
    transition: 0.3s;
    text-indent: 0;
    color: $white;
}
.switchToggle input:checked + label:before,
.switchToggle input:checked + input + label:before {
    content: "Online";
    position: absolute;
    top: 5px;
    left: 10px;
    width: 26px;
    height: 26px;
    border-radius: 90px;
    transition: 0.3s;
    text-indent: 0;
    color: #fff;
}
.switchToggle input:checked + label:after,
.switchToggle input:checked + input + label:after {
    left: calc(100% - 3px);
    transform: translateX(-100%);
}
.switchToggle label:active:after {
    width: 60px;
}
.toggle-switchArea {
    margin: 10px 0 10px 0;
}

.userprofileimg {
    width: 89px;
    height: 89px;
    object-fit: cover;
    object-position: center;
    overflow: hidden;
}

//--- profile styles ends ---//

//--- footer styles begins ---//

footer {
    background-color: $black;

    .footer-section {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 34px 30px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    img {
        width: 126px;
        height: 43px;
    }

    .copyright {
        color: $grey;
        font-size: 14px;
        font-weight: 500;
    }
}

//--- footer styles ends ---//

.orders-notifications {
    position: sticky;
    top: 64px;
    left: 0px;
    right: 0px;
    z-index: 1;

    .searching-for-orders,
    .received-orders {
        padding: 12px 4px;
        font-size: 14px;
        color: $white;
        min-height: 64px;
    }

    .searching-for-orders {
        font-style: italic;
        display: flex;
        align-items: center;
    }

    .received-orders {
        display: flex;
        align-items: center;
        justify-content: space-between;

        .received-orders-content {
            display: flex;
            align-items: center;

            .new-order-text {
                font-size: 16px;
                font-weight: 500;
            }
        }
    }

    .see-details-btn {
        background-color: $white;
        color: $green;
        padding: 8px 22px;
        border-radius: 20px;
        font-size: 14px;
        font-weight: 700;
        border: none;
    }
}

.sales {
    .sales-card {
        background-color: $white;
        box-shadow: 1px 1px 8px rgba($black, 0.29);
        border-radius: 8px;
        height: 107px;
        padding: 15px 14px 19px 20px;
        margin-bottom: 30px;

        .sale-type {
            color: $grey;
            font-size: 14px;
            font-weight: 500;
        }

        .sale-percent-up,
        .sale-percent-down {
            font-size: 12px;
            display: flex;
            align-items: center;
            justify-content: flex-end;
        }

        .sale-percent-up {
            color: $green;
        }

        .sale-percent-down {
            color: $red;
        }

        .sale-value {
            font-size: 24px;
            font-weight: 700;
            display: flex;
            align-items: flex-end;
            justify-content: flex-end;
        }

        .sale-compare {
            font-size: 10px;
            color: $grey;
        }
    }

    .sales-card:last-child {
        margin-bottom: 17px;
    }

    .avg-time {
        .avg-time-card {
            background-color: $black;
            border-radius: 8px;
            box-shadow: 1px 1px 8px rgba($black, 0.29);
            color: $white;
            padding: 16px 20px;
            display: flex;
            justify-content: space-between;
            margin-bottom: 30px;

            .avg-title {
                font-size: 14px;
                font-weight: 700;
                max-width: 120px;
            }

            .avg-time-percent-up,
            .avg-time-percent-down {
                font-size: 12px;
                display: flex;
                align-items: center;
                justify-content: flex-end;
            }

            .avg-time-percent-up {
                color: $green;
            }

            .avg-time-percent-down {
                color: $red;
            }

            .avg-time-value {
                font-size: 24px;
                font-weight: 700;
            }

            .avg-time-compare {
                font-size: 10px;
                color: $grey;
            }
        }

        // .avg-time-card:last-child{
        //     margin-bottom: 0px;
        // }
    }
}

.banner-section {
    .banner {
        width: 100%;
        overflow: hidden;
        // height: 173px;
        object-fit: cover;
        object-position: center;
    }

    .cta {
        position: absolute;
        right: 0%;
        top: 50%;
        -webkit-transform: translate(-50%, -50%);
        transform: translate(-16%, -50%);

        .learn-more,
        .start-now {
            font-size: 10px;
            padding: 3px 6px;
        }

        .learn-more {
            font-weight: 700;
            border-radius: 16px;
            border: 1px solid $white;
            text-transform: uppercase;
            background: none;
            color: $white;
            margin: 0px 10px;
        }

        .start-now {
            font-weight: 700;
            border-radius: 16px;
            border: 1px solid $white;
            text-transform: uppercase;
            background: $white;
            color: $black;
        }
    }
}

.itemized-report {
    background-color: $light-grey;
    border-radius: 8px;
    box-shadow: 1px 1px 8px rgba($black, 0.29);
    margin: 0;
    text-align: initial;

    .itemized-report-title {
        color: $grey;
        font-size: 14px;
        font-weight: 500;
        margin-bottom: 20px;
    }

    .itemized-report-percent-up,
    .itemized-report-percent-down {
        font-size: 12px;
        display: flex;
        display: flex;
        align-items: end;
    }

    .itemized-report-percent-up {
        color: $green;
    }

    .itemized-report-percent-down {
        color: $red;
    }

    .itemized-report-value {
        font-size: 24px;
        overflow: hidden;
        font-weight: 700;
        width: 100%;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .itemized-report-compare {
        font-size: 10px;
        color: $grey;
        display: flex;
        // flex-direction: column;
    }
}

.timing-card {
    background-color: $black;
    border-radius: 8px;
    box-shadow: 1px 1px 8px rgba($black, 0.29);
    color: $white;
    padding: 16px 20px 0px;
    margin-bottom: 30px;
    font-size: 14px;
    font-weight: 500;

    .from-time,
    .to-time {
        display: grid;
        text-align: center;
        padding: 8px 21px;
        background: rgba(255, 255, 255, 0.1);
        border-radius: 8px;
        line-height: 20px;

        .am-pm {
            color: rgba($white, 0.4);
        }
    }
}

.customer-rating {
    color: $white;

    .customer-card {
        background-image: linear-gradient(#fb9500, #ea5e00);
        box-shadow: 1px 1px 8px rgba($black, 0.29);
        border-radius: 8px;
        padding: 18px 14px;
        margin-bottom: 22px;
        margin-top: 8px;

        .customer-type {
            font-size: 14px;
            font-weight: 500;
        }

        .customer-percent-up,
        .customer-percent-down {
            font-size: 12px;
            display: flex;
            align-items: center;
            justify-content: flex-end;
        }

        .customer-percent-up {
            color: $white;
        }

        .customer-percent-down {
            color: $red;
        }

        .customer-value {
            font-size: 24px;
            font-weight: 700;
            display: flex;
            align-items: flex-end;
            justify-content: flex-end;
        }

        .customer-compare {
            font-size: 10px;
        }
    }

    .overall-rating {
        background: $black;
        box-shadow: 1px 1px 8px rgba($black, 0.29);
        border-radius: 8px;
        padding: 14px 14px;
        margin-bottom: 22px;
        margin-top: 8px;

        .comment-margin {
            margin-bottom: 2rem;
        }

        .comment-margin:last-child {
            margin-bottom: 0rem;
        }

        .overall-rating-comment {
            .comment-gap {
                margin-top: 14px;
            }
        }
    }

    .rating-word {
        width: 80px !important;
        display: flex;
    }

    .rating-percentage-bg {
        background-color: rgba($grey, 0.3);
        height: 4px;
        width: 100%;
        border-radius: 8px;
        margin: 0 10px;
    }

    .actual-rating-value {
        height: 4px;
        border-radius: 8px;
    }

    .excellent {
        background-color: $green;
        width: 60%;
    }

    .good {
        background-color: #5ff55a;
        width: 50%;
    }

    .average {
        background-color: $yellow;
        width: 30%;
    }

    .below-avg {
        background-color: $orange;
        width: 20%;
    }

    .poor {
        background-color: $red;
        width: 10%;
    }
}

.orders {
    .new-order-title {
        margin-bottom: 19px;
    }
    // .row {
    //     position: relative;
    //     div {
    //         display: block !important;
    //     }

    .notify {
        float: right;
    }
}

.new-orders,
.group-orders,
.workperks-orders {
    padding: 15px;
    box-shadow: 1px 1px 8px rgba($black, 0.29);
    margin-bottom: 13px;
    border-radius: 8px;
    color: $white;

    .individual-more-details,
    .group-more-details,
    .workperks-more-details {
        width: 38px;
        height: 38px;
        border-radius: 50%;
        text-align: center;
        background-color: $white;
        display: flex;
        justify-content: center;
        margin-left: auto;
        .fa {
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 24px;
        }
    }
}
.new-orders {
    background: linear-gradient(112deg, #1cc450 0%, #238b43 100%) 0% 0% no-repeat padding-box;
    .individual-more-details {
        .fa {
            color: $green;
        }
    }
}
.group-orders {
    background: linear-gradient(108deg, #1c53ea 0%, #214dc4 100%) 0% 0% no-repeat padding-box;
    .group-more-details {
        .fa {
            color: blue;
        }
    }
}

.workperks-orders {
    background: linear-gradient(110deg, #f2a800 0%, #ff9300 100%) 0% 0% no-repeat padding-box;

    .workperks-more-details {
        .fa {
            color: $orange;
        }
    }
}

.working-hours-selected,
.working-hours-selection {
    width: 36px;
    height: 36px;
    border-radius: 50%;
    border: none;
    margin: 6px;
    font-size: 12px;
}

.working-hours-selected {
    background: $black;
    color: $white;
}
.working-hours-selection {
    background: $light-grey;
    color: $grey;
}

.working-hours {
    color: $grey;
    select {
        color: $grey;
        border-bottom: 1px solid $grey;
        width: 100%;
        &:focus {
            border-bottom: 1px solid $grey;
        }
    }
}
.add-more-working-hours {
    font-size: 12px;
    border: none;
    color: $grey;
    background: none;
    margin-bottom: 20px;
    margin-top: 10px;
}

// .menu-list-fixed{
//     height: calc(100vh - 64px);
//     overflow-x: hidden;
//     overflow-y: auto;
// }

.menu-list-items {
    a {
        display: flex;
        align-items: center;
        font-size: 14px;
        font-weight: 400;
        color: $white;
        list-style: none;
        cursor: pointer;
        text-decoration: none;
        opacity: 0.5;
        &:hover {
            opacity: 1;
        }
        .nav-icons {
            padding-right: 2px;
        }
    }
    .active-links {
        opacity: 1;
    }

    .add-section {
        border: 1px solid $grey;
        border-radius: 16px;
        padding: 0 18px;
        height: 32px;
        color: $grey;
        background: rgba($white, 0);
        -webkit-transition: background 0.3s;
        transition: background 0.3s;
        font-size: 14px;
        font-weight: 500;
        &:hover {
            background: rgba($white, 1);
            color: $black;
            border: 1px solid $black;
        }
    }
}

.menu-list {
    width: 218px;
}
.profile-sidebar .modal-dialog {
    width: 261px;

    a {
        display: flex;
        align-items: center;
        font-size: 14px;
        font-weight: 400;
        color: $white;
        list-style: none;
        cursor: pointer;
        text-decoration: none;
        opacity: 0.5;
        &:hover {
            opacity: 1;
        }
        .nav-icons {
            padding-right: 2px;
        }
    }
    .active-links {
        opacity: 1;
    }
}

.modal.left .modal-dialog,
.modal.right .modal-dialog {
    position: fixed;
    margin: auto;

    height: 100%;
    -webkit-transform: translate3d(0%, 0, 0);
    -ms-transform: translate3d(0%, 0, 0);
    -o-transform: translate3d(0%, 0, 0);
    transform: translate3d(0%, 0, 0);
}

.modal.left .modal-content,
.modal.right .modal-content {
    height: 100%;
    overflow-y: auto;
    // background: #000 !important;
}

.modal.left .modal-body {
    padding: 15px 0px 0 15px;
}
.modal.right .modal-body {
    padding: 15px 15px 80px;
}

/*Left*/
.modal.left.fade .modal-dialog {
    left: 0px !important;
    -webkit-transition: opacity 0.3s linear, left 0.3s ease-out;
    -moz-transition: opacity 0.3s linear, left 0.3s ease-out;
    -o-transition: opacity 0.3s linear, left 0.3s ease-out;
    transition: opacity 0.3s linear, left 0.3s ease-out;
}

.modal.left.fade.in .modal-dialog {
    left: 0;
}

/*Right*/
.modal.right.fade .modal-dialog {
    right: 0px !important;
    -webkit-transition: opacity 0.3s linear, right 0.3s ease-out;
    -moz-transition: opacity 0.3s linear, right 0.3s ease-out;
    -o-transition: opacity 0.3s linear, right 0.3s ease-out;
    transition: opacity 0.3s linear, right 0.3s ease-out;
}

.modal.right.fade.in .modal-dialog {
    right: 0;
}

/* ----- MODAL STYLE ----- */
.modal-content {
    border-radius: 0;
    border: none;
}

.modal-header {
    border-bottom-color: #eeeeee;
    background-color: #fafafa;
}

.add-restaurant, .orders-list {
    .modal-dialog {
        width: 90%;
        margin: 0px auto;
    }
}

.cancelbtn,
.addbtn {
    padding: 4px 40px;
    border-radius: 19px;
    text-align: center;
    font-size: 14px;
    font-weight: 700;
}

.cancelbtn {
    color: #707070;
    border: 1px solid #707070;
    background: none;
}
.addbtn {
    background: #1fae4b;
    color: #fff;
    border: 1px solid #1fae4b;
}

.dialog-close-icon {
    justify-content: flex-end;
    font-size: 9px;
    margin-top: -8px;
    margin-right: -8px;
    cursor: pointer;

    img {
        width: 15px;
    }
}

.add-menu {
    .modal-dialog {
        // width: 900px !important;
        max-width: 900px !important;
        margin: 0px auto;
        overflow: auto;
    }
    .model-row-colum {
        flex-direction: column;
    }

    .negative-margin {
        margin-top: 0;
        margin-left: 0;
        margin-bottom: 10px;
        margin-right: 0;
        overflow: auto;
    }
}

.dialog-options-responsive {
    display: grid;
    overflow: initial;
}
.add_more,
.modifiactions-required {
    background: #f0f1f6;
    border-radius: 8px;
    margin-top: 17px;
    margin-bottom: 22px;
}

.add_more {
    font-size: 14px;
    height: 82px;
}

.modifiactions-required {
    padding: 24px;
}

.upload-image-section {
    display: flex;
    align-items: center;
    justify-content: center;
    background: #efefef;
    border-radius: 8px;
    height: 81px;
}

.tabbable{
    .parentTabs {
        display: flex;
        align-items: center;
        justify-content: space-around;
        height: 43px;
        text-decoration: none;
        background: #000;

        a{
            text-decoration: none;
            color: #fff
        }

        .foodwork{
            width: 137px
        }
        .delivery{
            width: 137px
        } 
        .pickedup{
            width: 137px
        }
    }
}

@media (min-width: 576px) {
}

@media (min-width: 768px) {
    .main-section-padding {
        padding: 31px 38px;
    }

    .orders-notifications {
        .searching-for-orders,
        .received-orders {
            padding: 8px 64px;
        }
    }

    .banner-section {
        .cta {
            .learn-more,
            .start-now {
                font-size: 12px;
                padding: 6px 18px;
            }
        }
    }

    .customer-rating .overall-rating .comment-margin {
        margin-bottom: 0rem;
    }

    // .orders {
    //     .row {
    //         position: relative;
    //         div {
    //             position: sticky;
    //             top: 95px;
    //             display: block !important;
    //         }
    //     }
    // }

    .add-restaurant, .orders-list {
        .modal-dialog {
            width: 508px;
        }
    }

    .cancelbtn,
    .addbtn {
        padding: 8px 64px;
    }
    add-menu .modal-dialog {
        // width: 900px !important;
        max-width: 100% !important;
    }
}

@media (min-width: 992px) {
    .border-left-table {
        border-left: 1px solid rgba($grey, 0.3);
        padding-left: 40px;
    }

    .border-right-table {
        padding-right: 40px;
    }

    .add-menu {
        .model-row-colum {
            flex-direction: row;
        }

        .negative-margin {
            margin-top: -15px;
            margin-left: -15px;
            margin-bottom: -24px;
            margin-right: 15px;
            overflow: auto;
            // width: 80%;
            max-width:433px;
            padding: 15px;

        }
    }

    .dialog-options-responsive {
        display: flex;
        overflow: auto;
    }
    .overflow-dialog {
        overflow-x: hidden;
        overflow-y: auto;
        padding-right: 24px;
        width: 508px;
    }
}

@media (min-width: 1024px) {
}

@media (min-width: 1200px) {
}

@media (min-width: 1280px) {
    .max-content-width {
        max-width: 1280px;
        margin: 0px auto;
    }
}

@media (min-width: 1440px) {
}
